<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Niveau extends Model
{
    //
  
    use HasFactory;
protected $fillable = ['libellear', 'reforme_id', 'cycle_id', 'ordre'];

public function reforme(): BelongsTo
{
    return $this->belongsTo(Reforme::class);
}

public function cycle(): BelongsTo
{
    return $this->belongsTo(Cycle::class);
}

}
